FROM openshift/golang-builder:rhel_8_golang_1.15 AS build
ENV __doozer=update BUILD_RELEASE=202108160002.p0.git.3959be4.assembly.stream BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202108160002.p0.git.3959be4.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=3959be442a05bf28a3b7aff6f5aa8a4cc71331bf KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=13+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.13.0+3959be4 OS_GIT_COMMIT=3959be4 OS_GIT_VERSION=4.7.0-202108160002.p0.git.3959be4.assembly.stream-3959be4 SOURCE_DATE_EPOCH=1619452273 SOURCE_GIT_COMMIT=3959be442a05bf28a3b7aff6f5aa8a4cc71331bf SOURCE_GIT_TAG=0.14.0-1675-g3959be44 SOURCE_GIT_URL=https://github.com/kube-reporting/metering-operator 

COPY . /go/src/github.com/kube-reporting/metering-operator
WORKDIR /go/src/github.com/kube-reporting/metering-operator

ENV GOCACHE='/tmp'
RUN make reporting-operator-bin RUN_UPDATE_CODEGEN=false CHECK_GO_FILES=false

FROM openshift/ose-base:v4.7.0.20210816.001929
ENV __doozer=update BUILD_RELEASE=202108160002.p0.git.3959be4.assembly.stream BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202108160002.p0.git.3959be4.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=3959be442a05bf28a3b7aff6f5aa8a4cc71331bf KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=13+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.13.0+3959be4 OS_GIT_COMMIT=3959be4 OS_GIT_VERSION=4.7.0-202108160002.p0.git.3959be4.assembly.stream-3959be4 SOURCE_DATE_EPOCH=1619452273 SOURCE_GIT_COMMIT=3959be442a05bf28a3b7aff6f5aa8a4cc71331bf SOURCE_GIT_TAG=0.14.0-1675-g3959be44 SOURCE_GIT_URL=https://github.com/kube-reporting/metering-operator 

RUN yum install --setopt=skip_missing_names_on_install=False -y \
        ca-certificates bash

COPY --from=build /go/src/github.com/kube-reporting/metering-operator/bin/reporting-operator /usr/local/bin/reporting-operator

USER 3001
ENTRYPOINT ["reporting-operator"]
CMD ["start"]

LABEL \
        io.k8s.display-name="OpenShift metering-reporting-operator" \
        io.k8s.description="This is a component of OpenShift Container Platform and manages collecting data from monitoring and running reports." \
        summary="This is a component of OpenShift Container Platform and manages collecting data from monitoring and running reports." \
        io.openshift.tags="openshift" \
        maintainer="<metering-team@redhat.com>" \
        name="openshift/ose-metering-reporting-operator" \
        com.redhat.component="ose-metering-reporting-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Metering Operator" \
        release="202108160002.p0.git.3959be4.assembly.stream" \
        io.openshift.build.commit.id="3959be442a05bf28a3b7aff6f5aa8a4cc71331bf" \
        io.openshift.build.source-location="https://github.com/kube-reporting/metering-operator" \
        io.openshift.build.commit.url="https://github.com/kube-reporting/metering-operator/commit/3959be442a05bf28a3b7aff6f5aa8a4cc71331bf" \
        version="v4.7.0"

